Subject: bug#20436: 25.0.50; syntax-multiline not documented

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 13 Jul 2021 19:57:55 +0200

Tom Tromey <[email-masked]> writes:

> I noticed some code in syntax.el for the syntax-multiline property.
> This doesn't seem to be documented anywhere, but I think it should be.

Looking at this:

(defun syntax-propertize-multiline (beg end)
  "Let `syntax-propertize' pay attention to the syntax-multiline property."
  (when (and (> beg (point-min))
	     (get-text-property (1- beg) 'syntax-multiline))
    (setq beg (or (previous-single-property-change beg 'syntax-multiline)
		  (point-min))))
  ;;
  (when (get-text-property end 'syntax-multiline)
    (setq end (or (text-property-any end (point-max)
				     'syntax-multiline nil)
		  (point-max))))
  (cons beg end))

And some of the usage sites...  I'm still not quite sure what the
semantics here are.  :-)  I've added Stefan M to the CCs; perhaps he can
explain and I'll write something up for the manual?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no